Bug 86092 - Can't install/update rpm packages
Can't install/update rpm packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-13 15:49 EST by Todd Bailey
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Todd Bailey 2003-03-13 15:49:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
system crached during package install, can no longer install, remove, manage 
rpm packages, via command line, gui and package applet.

tried to rebuild via rpm -v --rebuilddb with out success.
gui gets to reading system state then quits.

Version-Release number of selected component (if applicable):
rpm-4.1.1-0.1.8.x

How reproducible:
Always

Steps to Reproduce:
1. 2x click on any rpm package to install
2. or 2x click on package manager gui appl
3. manually trying to install via cmd line
    

Actual Results:  gui status/progress bas, reading headers, reading system state
then gui appl shuts down

Expected Results:  dialog requesting confirmation that you want to install this 
package

Additional info:

provided on demand
Comment 1 Todd Bailey 2003-03-13 15:52:05 EST
removing lock dbs __db* and rpm --rebuild did not fix the package db file


Is there a way to regenerate this file with out reinstall ?
Comment 2 Jeff Johnson 2003-03-14 15:46:05 EST
Give me a pointer (i.e. URL, attachments won't work)
to a tarball of your database
   cd /var/lib
    tar czvf /tmp/rpmdb-86092.tar.gz rpm
and I'll try to fix.
Comment 3 Jeremy Katz 2005-04-19 14:46:07 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.